import { UiLocalTimeFieldCommandHandler, UiLocalTimeFieldConfig, UiLocalTimeFieldEventSource } from "../../../generated/UiLocalTimeFieldConfig";
import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiTimeField } from "./AbstractUiTimeField";
import { LocalDateTime } from "../../util/LocalDateTime";
declare type LocalTime = [number, number, number, number];
export declare class UiLocalTimeField extends AbstractUiTimeField<UiLocalTimeFieldConfig, LocalTime> implements UiLocalTimeFieldEventSource, UiLocalTimeFieldCommandHandler {
    protected initialize(config: UiLocalTimeFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: LocalTime): boolean;
    protected displayCommittedValue(): void;
    getTransientValue(): LocalTime;
    getReadOnlyHtml(value: LocalTime, availableWidth: number): string;
    valuesChanged(v1: LocalTime, v2: LocalTime): boolean;
    private static localTimeToLocalDateTime;
    protected localDateTimeToString(entry: LocalDateTime): string;
    protected createTimeRenderer(): (time: LocalDateTime) => string;
}
export {};
